Bug 17696 - RFE: passwd -f
RFE: passwd -f
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: passwd (Show other bugs)
6.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-09-19 11:57 EDT by calvinb
Modified: 2013-07-02 18:54 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-03 06:35:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description calvinb 2000-09-19 11:57:34 EDT
passwd -f <name> does not work correctly.  The only way I can force passwd 
change is to issue "chage -d 99999 <name>".

App is used on Dell 6400 4 processors.
Comment 1 Jindrich Novy 2004-10-03 06:35:45 EDT
Calvin, the -f option can be used only together with -u option to
unlock a passwordless account at the time. However, to use passwd -f
<name> to expire the account immediatelly should be added to Red Hat
version of passwd. Adding to my RFE todo list. At the moment you can
use passwd -x 0 <name> as workaround.

Jindrich

Note You need to log in before you can comment on or make changes to this bug.